Index: fedd/fedd.py
===================================================================
--- fedd/fedd.py	(revision 4d48e017adabc3e25838a0adb9256d18dc4dc5ce)
+++ fedd/fedd.py	(revision bcbf5438af1a290d2df2c4d8cfaf1a9b23c1f4d2)
@@ -122,5 +122,6 @@
 		resp = self.server.impl.xmlrpc_dispatch(method, params,
 			    fedid(cert=self.request.get_peer_cert()))
-		data = xmlrpclib.dumps((resp,), methodresponse=True)
+		data = xmlrpclib.dumps((resp,), encoding='UTF-8', 
+			methodresponse=True)
 	    except xmlrpclib.Fault, f:
 		data = xmlrpclib.dumps(f, methodresponse=True)
Index: fedd/fedd_create.py
===================================================================
--- fedd/fedd_create.py	(revision 4d48e017adabc3e25838a0adb9256d18dc4dc5ce)
+++ fedd/fedd_create.py	(revision bcbf5438af1a290d2df2c4d8cfaf1a9b23c1f4d2)
@@ -288,7 +288,5 @@
 
     try:
-	resp = port.RequestAccess({ 'CreateRequestBody': msg})
-	resp, method = loads(resp)
-	resp = resp[0]
+	resp = port.Create({ 'CreateRequestBody': msg})
     except Error, e:
 	resp = { 'FeddFaultBody': \
Index: fedd/fedd_create_experiment.py
===================================================================
--- fedd/fedd_create_experiment.py	(revision 4d48e017adabc3e25838a0adb9256d18dc4dc5ce)
+++ fedd/fedd_create_experiment.py	(revision bcbf5438af1a290d2df2c4d8cfaf1a9b23c1f4d2)
@@ -467,6 +467,6 @@
 		self.element = { }
 		self.topo = { \
-			'nodes': { 'node': self.nodes  },\
-			'lans' : { 'lan' : self.lans },\
+			'node': self.nodes,\
+			'lan' : self.lans,\
 		    }
 		self.chars = ""
@@ -517,6 +517,6 @@
 	try:
 	    # Node names
-	    nodes = [ n['vname'] for n in topo['nodes']['node'] ]
-	    topo_lans = topo['lans']['lan']
+	    nodes = [ n['vname'] for n in topo['node'] ]
+	    topo_lans = topo['lan']
 	except KeyError:
 	    raise service_error(service_error.internal, "Bad topology")
@@ -582,6 +582,6 @@
 		vn = m.group(1)
 		vis_node = {'name': vn, \
-			'x': int(m.group(2)),\
-			'y' : int(m.group(3)),\
+			'x': float(m.group(2)),\
+			'y' : float(m.group(3)),\
 		    }
 		if vn in links.keys() or vn in lans.keys():
Index: fedd/fedd_proj.py
===================================================================
--- fedd/fedd_proj.py	(revision 4d48e017adabc3e25838a0adb9256d18dc4dc5ce)
+++ fedd/fedd_proj.py	(revision bcbf5438af1a290d2df2c4d8cfaf1a9b23c1f4d2)
@@ -577,14 +577,14 @@
 
 	if msg != None:
-	    return xmlrpclib.dumps(({ "RequestAccessResponseBody": msg },))
+	    return { "RequestAccessResponseBody": msg }
 	else:
 	    raise service_error(service_error.internal,
 		    "No response generated?!");
 
-    def xmlrpc_RequestAccess(self, params, fid):
+    def xmlrpc_Create(self, params, fid):
 	msg = self.create_experiment.create_experiment(params[0], fedid)
 
 	if msg != None:
-	    return xmlrpclib.dumps(({ "CreateResponseBody": msg },))
+	    return { "CreateResponseBody" : msg }
 	else:
 	    raise service_error(service_error.internal,
Index: fedd/fedd_types.xsd
===================================================================
--- fedd/fedd_types.xsd	(revision 4d48e017adabc3e25838a0adb9256d18dc4dc5ce)
+++ fedd/fedd_types.xsd	(revision bcbf5438af1a290d2df2c4d8cfaf1a9b23c1f4d2)
@@ -170,16 +170,4 @@
   </xsd:complexType>
 
-  <xsd:complexType name="vtoponodesType">
-    <xsd:annotation>
-      <xsd:documentation>
-	Collection of nodes in the virtual topology of a federated experiment (emulab legacy)
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
-      <xsd:element name="node" type="tns:vtoponodeType" minOccurs="0"
-	maxOccurs="unbounded"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
   <xsd:complexType name="vtopolanType">
     <xsd:annotation>
@@ -198,25 +186,15 @@
   </xsd:complexType>
 
-  <xsd:complexType name="vtopolansType">
-    <xsd:annotation>
-      <xsd:documentation>
-	Collection of LAN in the virtual topology of a federated experiment (emulab legacy)
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
+  <xsd:complexType name="vtopoType">
+    <xsd:annotation>
+      <xsd:documentation>
+	The virtual topology of a federated experiment (emulab legacy)
+      </xsd:documentation>
+    </xsd:annotation>
+    <xsd:sequence>
+      <xsd:element name="node" type="tns:vtoponodeType" minOccurs="0" 
+	maxOccurs="unbounded" />
       <xsd:element name="lan" type="tns:vtopolanType" minOccurs="0"
 	maxOccurs="unbounded"/>
-    </xsd:sequence>
-  </xsd:complexType>
-
-  <xsd:complexType name="vtopoType">
-    <xsd:annotation>
-      <xsd:documentation>
-	The virtual topology of a federated experiment (emulab legacy)
-      </xsd:documentation>
-    </xsd:annotation>
-    <xsd:sequence>
-      <xsd:element name="nodes" type="tns:vtoponodesType"/>
-      <xsd:element name="lans" type="tns:vtopolansType"/>
     </xsd:sequence>
   </xsd:complexType>
